Search for nodes in the workspace (streaming)
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Search
Search for nodes in the workspace (streaming)
Search for nodes in the workspace with SSE streaming
GET
/
api
/
v1
/
w
/
{wId}
/
search
Search for nodes in the workspace (streaming)
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
Query Parameters
The search query (minimum 3 characters)
Number of results per page (1-100, default 25)
Cursor for pagination
Type of view to filter results
Available options:
all, document, table Comma-separated list of space IDs to search in
Whether to include data sources
Whether to search source URLs
Whether to include tool results
Response
Search results streamed successfully
The response is of type string.